# Module Llvm.ValueKind

    module ValueKind: sig .. end

The kind of an `llvalue`, the result of `classify_value v`. See the various `LLVMIsA*` functions.

    type t =

`|` | `NullValue`
`|` | `Argument`
`|` | `BasicBlock`
`|` | `InlineAsm`
`|` | `MDNode`
`|` | `MDString`
`|` | `BlockAddress`
`|` | `ConstantAggregateZero`
`|` | `ConstantArray`
`|` | `ConstantDataArray`
`|` | `ConstantDataVector`
`|` | `ConstantExpr`
`|` | `ConstantFP`
`|` | `ConstantInt`
`|` | `ConstantPointerNull`
`|` | `ConstantStruct`
`|` | `ConstantVector`
`|` | `Function`
`|` | `GlobalAlias`
`|` | `GlobalVariable`
`|` | `UndefValue`
`|` | `Instruction of `Llvm.Opcode.t``